package pojos;
// Generated 17-Feb-2020 17:55:34 by Hibernate Tools 4.3.1


import java.math.BigDecimal;

/**
 * Poliza generated by hbm2java
 */
public class Poliza  implements java.io.Serializable {


     private String referencia;
     private Asegurado asegurado;
     private Linea linea;
     private int digitoControl;
     private BigDecimal importe;
     private DetallePoliza detallePoliza;

    public Poliza() {
    }

	
    public Poliza(String referencia, Asegurado asegurado, Linea linea, int digitoControl) {
        this.referencia = referencia;
        this.asegurado = asegurado;
        this.linea = linea;
        this.digitoControl = digitoControl;
    }
    public Poliza(String referencia, Asegurado asegurado, Linea linea, int digitoControl, BigDecimal importe, DetallePoliza detallePoliza) {
       this.referencia = referencia;
       this.asegurado = asegurado;
       this.linea = linea;
       this.digitoControl = digitoControl;
       this.importe = importe;
       this.detallePoliza = detallePoliza;
    }
   
    public String getReferencia() {
        return this.referencia;
    }
    
    public void setReferencia(String referencia) {
        this.referencia = referencia;
    }
    public Asegurado getAsegurado() {
        return this.asegurado;
    }
    
    public void setAsegurado(Asegurado asegurado) {
        this.asegurado = asegurado;
    }
    public Linea getLinea() {
        return this.linea;
    }
    
    public void setLinea(Linea linea) {
        this.linea = linea;
    }
    public int getDigitoControl() {
        return this.digitoControl;
    }
    
    public void setDigitoControl(int digitoControl) {
        this.digitoControl = digitoControl;
    }
    public BigDecimal getImporte() {
        return this.importe;
    }
    
    public void setImporte(BigDecimal importe) {
        this.importe = importe;
    }
    public DetallePoliza getDetallePoliza() {
        return this.detallePoliza;
    }
    
    public void setDetallePoliza(DetallePoliza detallePoliza) {
        this.detallePoliza = detallePoliza;
    }




}


